Subject: bug#36237: Support (rx (and (regexp EXPR) (regexp-quote EXPR)))

From: Noam Postavsky <[email-masked]>
Date: Sat, 15 Jun 2019 20:28:24 -0400

Michael Heerdegen <[email-masked]> writes:

>> +*** 'regexp' and new 'regexp-quote' accept arbirtray lisp as arguments.
>                                               ^^^^^^^^^ (typo)

Oops.

> I only wondered whether it wouldn't have been better if `eval' would
> have been upgraded

(rx (eval EXPR)) vs (rx (regexp-quote EXPR)) have different semantics
with respect to scoping and evaluation time, so I think that would be a
problem with respect to backwards compatibility.

> Does it make sense to keep `eval'?  There are so many rx-form types,
> would be good if we could make it obsolete (in some sense).

Yeah, I think it would make sense to obsolete `eval'.  Also `and': it
sounds like it should be the logical-and counterpart to `or', but it's
just a synonym for `seq' (which is a much clearer name).  I used `and'
in the bug title just for punning reasons :)